Bug 9519 - Authorisation errors whilst updating IDE from a non-admin user.
Summary: Authorisation errors whilst updating IDE from a non-admin user.
Status: NEW
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Updater ()
Version: 3.0.x
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: master
Assignee: Bugzilla
URL:
: 16189 ()
Depends on:
Blocks:
 
Reported: 2013-01-12 18:06 UTC by James Webster
Modified: 2015-08-20 05:02 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 9519 on Developer Community or GitHub if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments

Related Links:
Status:
NEW

Description James Webster 2013-01-12 18:06:24 UTC
I am logged in as a regular user (i.e. without Administrator permissions).

I attempt to upgrade MonoDevelop via built-in upgrader.

I provide administrator's credentials when requested, however upgrade still fails due to an authorisation error, please see referenced gist below.

https://gist.github.com/4520910

I much prefer to run as an unpriviledged user in Mac OS X (I am using Mountain Lion) and elevate when requested. However I have always found that MonoDevelop/MonoTouch never seem to handle this situation when upgrading, which is bit of a pain to continuing to use it.

Hope you can fix this!

Cheers,
James
Comment 1 Mikayla Hutchinson [MSFT] 2013-01-15 17:38:57 UTC
This is very strange, it looks like it's giving us the credentials then refusing to accept them later.
 
Does it only happen for MonoDevelop updates, or doest it happen for all updates e.g. MonoTouch etc?
Comment 2 Lluis Sanchez 2015-08-20 03:48:47 UTC
Is this still a problem? We haven't got any other report of this issue.
Comment 3 Lluis Sanchez 2015-08-20 04:06:45 UTC
*** Bug 16189 has been marked as a duplicate of this bug. ***